Bug 239694 - Some ipseclog() invocations miss newline
Summary: Some ipseclog() invocations miss newline
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: Andrey V. Elsukov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-07 12:50 UTC by Mateusz Kwiatkowski
Modified: 2019-10-02 03:08 UTC (History)
2 users (show)

See Also:
koobs: mfc-stable12+
koobs: mfc-stable11+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mateusz Kwiatkowski 2019-08-07 12:50:02 UTC
Entries in dmesg are bonded:
```
key_acqdone: ACQ 3 is not found.key_acqdone: ACQ 5 is not found.key_acqdone: ACQ 6 is not found.key_acqdone: ACQ 3 is not found.key_acqdone: ACQ 5 is not found.key_acqdone: ACQ 6 is not found.key_acqdone: ACQ 3 is not found.key_acqdone: ACQ 5 is not found.key_acqdone: ACQ 6 is not found.
igb0: promiscuous mode enabled
igb0: promiscuous mode disabled
key_acqdone: ACQ 394 is not found.key_acqdone: ACQ 396 is not found.key_acqdone: ACQ 397 is not found.
key_acqdone: ACQ 921 is not found.key_acqdone: ACQ 923 is not found.key_acqdone: ACQ 924 is not found.
```

Some ipsec invocations end with \n:
https://github.com/freebsd/freebsd/blob/1658622e7f48b6ac086e13a53c6d274608566af9/sys/netipsec/key.c#L1075

Some not:
https://github.com/freebsd/freebsd/blob/1658622e7f48b6ac086e13a53c6d274608566af9/sys/netipsec/key.c#L6895
Comment 1 commit-hook freebsd_committer 2019-08-09 08:58:19 UTC
A commit references this bug:

Author: ae
Date: Fri Aug  9 08:58:09 UTC 2019
New revision: 350816
URL: https://svnweb.freebsd.org/changeset/base/350816

Log:
  Add missing new line in several log messages.

  PR:		239694
  MFC after:	1 week

Changes:
  head/sys/netipsec/key.c
Comment 2 commit-hook freebsd_committer 2019-08-16 12:27:28 UTC
A commit references this bug:

Author: ae
Date: Fri Aug 16 12:27:19 UTC 2019
New revision: 351116
URL: https://svnweb.freebsd.org/changeset/base/351116

Log:
  MFC r350816:
    Add missing new line in several log messages.

    PR:		239694

Changes:
_U  stable/12/
  stable/12/sys/netipsec/key.c
Comment 3 Andrey V. Elsukov freebsd_committer 2019-08-16 12:29:14 UTC
Fixed in head/, stable/12 and stable/11. Thanks!
Comment 4 commit-hook freebsd_committer 2019-08-16 12:29:30 UTC
A commit references this bug:

Author: ae
Date: Fri Aug 16 12:28:38 UTC 2019
New revision: 351117
URL: https://svnweb.freebsd.org/changeset/base/351117

Log:
   MFC r350816:
     Add missing new line in several log messages.

     PR:           239694

Changes:
_U  stable/11/
  stable/11/sys/netipsec/key.c